Skip to main content
POST
/
vm
/
{vm_id}
/
rdns
Set a reverse DNS (PTR) record
curl --request POST \
  --url https://api.cloud.onidel.com/vm/{vm_id}/rdns \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "ip_addr": "203.0.113.5",
  "domain": "host.example.com",
  "team_id": "96616865-475e-4191-aba5-f89f0a4b71fe"
}
'

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

vm_id
string<uuid>
required

VM UUID

Body

application/json
ip_addr
string
required

The VM IP address (IPv4 or IPv6) to set the PTR record for.

Example:

"203.0.113.5"

domain
string
required

The domain the PTR record should point to.

Example:

"host.example.com"

team_id
string<uuid>

Team ID. Default team will be used if not provided.

Example:

"96616865-475e-4191-aba5-f89f0a4b71fe"

Response

Successful operation